## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# main package is archful to run tests everywhere but produces noarch packages
%global debug_package %{nil}
%bcond_without check
%global pname mrcfile

%global desc \
mrcfile is a Python implementation of the MRC2014 file format, which is used in\
structural biology to store image and volume data.\
\
It allows MRC files to be created and opened easily using a very simple API,\
which exposes the file's header and data as numpy arrays. The code runs in\
Python 2 and 3 and is fully unit-tested.\
\
This library aims to allow users and developers to read and write\
standard-compliant MRC files in Python as easily as possible, and with no\
dependencies on any compiled libraries except numpy. You can use it\
interactively to inspect files, correct headers and so on, or in scripts and\
larger software packages to provide basic MRC file I/O functions.

Name: python-%{pname}
Version: 1.5.4
Release: %autorelease
Summary: MRC2014 file format used in structural biology to store image and volume data
License: BSD-3-Clause
URL: https://github.com/ccpem/%{pname}
Source: https://github.com/ccpem/%{pname}/archive/v%{version}/%{pname}-%{version}.tar.gz

%description
%{desc}

%package -n python3-%{pname}
Summary: %{summary}
BuildRequires: python3-devel
%if %{with check}
BuildRequires: python3-numpy
%endif
BuildArch: noarch

%description -n python3-%{pname}
%{desc}

%prep
%autosetup -p1 -n %{pname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l %{pname}

%if %{with check}
%check
%pyproject_check_import

PYTHONDONTWRITEBYTECODE=1 \
PATH=%{buildroot}/usr/bin:${PATH} \
PYTHONPATH=%{buildroot}%{python3_sitearch}:%{buildroot}%{python3_sitelib} \
python3 -m unittest tests
%endif

%files -n python3-%{pname} -f %{pyproject_files}
%doc CHANGELOG.txt README.rst
%{_bindir}/mrcfile-header
%{_bindir}/mrcfile-validate

%changelog
## START: Generated by rpmautospec
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Sat Jul 19 2025 Tim Semeijn <tim@semeijn.net> - 1.5.4-3
- Stop using deprecated %%py3_build/%%py3_install macros (rhbz#2377904)

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 1.5.4-2
- Rebuilt for Python 3.14

* Wed Jan 22 2025 Tim Semeijn <tim@semeijn.net> - 1.5.4-1
- Update to 1.5.4 (fixes rhbz#2339429)

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 25 2024 Tim Semeijn <tim@goat.re> - 1.5.3-1
- Update to 1.5.3 (fedora#2299881)

* Fri Jul 19 2024 Tim Semeijn <tim@goat.re> - 1.5.2-1
- Update to 1.5.2

* Wed Jul 17 2024 Tim Semeijn <tim@goat.re> - 1.5.1-1
- Update to 1.5.1

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 1.5.0-4
- Rebuilt for Python 3.13

* Wed Feb 21 2024 Tim Semeijn <tim@goat.re> - 1.5.0-3
- Update to 1.5.0
- Drop obsolete python-mrcfile-issue-49.patch
- Use %%autorelease and %%autochangelog

* Wed Feb 21 2024 Tim Semeijn <tim@goat.re> - 1.5.0-2
- Update to 1.5.0 - Drop obsolete python-mrcfile-issue-49.patch - Use
  %%autorelease and %%autochangelog

* Wed Feb 21 2024 Tim Semeijn <tim@goat.re> - 1.5.0-1
- Update to 1.5.0 > - Drop obsolete python-mrcfile-issue-49.patch > - Use
  %%autorelease and %%autochangelog

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Dominik 'Rathann' Mierzejewski <dominik@greysector.net> - 1.4.3-1
- update to 1.4.3
- drop obsolete patches
- skip test_data_is_not_copied_unnecessarily test (fails with
  numpy>=1.24.1)
- skip test_data_is_not_read_if_dimensions_are_too_huge on 32-bit

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.3.0-7
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.3.0-4
- Rebuilt for Python 3.11

* Fri Jun 10 2022 Dominik 'Rathann' Mierzejewski <dominik@greysector.net> - 1.3.0-3
- fix test failures with python 3.11 (due to changed error messages)

* Wed Apr 27 2022 Dominik 'Rathann' Mierzejewski <dominik@greysector.net> - 1.3.0-2
- backport upstream endiannes fixes

* Tue Apr 26 2022 Dominik 'Rathann' Mierzejewski <dominik@greysector.net> - 1.3.0-1
- initial import (#2063369)
## END: Generated by rpmautospec
